/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
//#include <math.h>
//#include <fourbar.h>
//int main() {
//  CFourbar fourbar;
//  double r1 = 4.72/12.0, r2 = 1.57/12.0, r3 = 4.72/12.0, r4 = 2.76/12.0, 
//         theta1 = 10*M_PI/180;
//  double rp = 1.97/12.0, beta = 20*M_PI/180;
//  double theta_1[1:4], theta_2[1:4];
  double complex p1, p2;  // two solution of coupler point P
//  double theta2 = 70*M_PI/180;
  
/*  theta_1[1] = theta1;
  theta_1[2] = theta2; // theta2
  theta_2[1] = theta1;
  theta_2[2] = theta2; // theta2
  fourbar.uscUnit(true);
//  fourbar.setLinks(r1, r2, r3, r4, theta1);
*/
  fourbar.setCouplerPoint(rp, beta);
  fourbar.angularPos(theta_1, theta_2, FOURBAR_LINK2);
  fourbar.couplerPointPos(theta2, p1, p2);
  
  /**** the first set of solutions ****/
  printf("theta3 = %6.3f, theta4 = %6.3f, P = %6.3f in\n",
         theta_1[3], theta_1[4], p1*12.0);
  /**** the second set of solutions ****/
  printf("theta3 = %6.3f, theta4 = %6.3f, P = %6.3f in\n",
         theta_2[3], theta_2[4], p2*12.0);
}
