
   r[1] = r1;  r[2] = r2;  r[3] = r3;
   r[4] = r4;  r[5] = r5;  r[6] = r6;
   for(i = 1; i <= 4; i++)
   {
      theta[i][1] = M_DEG2RAD(theta1);
      theta[i][2] = M_DEG2RAD(theta2);
      omega[i][2] = M_DEG2RAD(omega2);	 
   }
   psi = M_DEG2RAD(psi);
   
   /* Perform fourbar-slider linkage analysis. */
   fslider.setLinks(r, theta[1][1], psi); 
   fslider.angularPos(theta[1], theta[2], theta[3], theta[4]);
   fslider.angularVel(theta[1], omega[1]);
   fslider.angularVel(theta[2], omega[2]);
   fslider.angularVel(theta[3], omega[3]);
   fslider.angularVel(theta[4], omega[4]);
   r7dot_1 = fslider.sliderVel(theta[1], omega[1]);
   r7dot_2 = fslider.sliderVel(theta[2], omega[2]);
   r7dot_3 = fslider.sliderVel(theta[3], omega[3]);
   r7dot_4 = fslider.sliderVel(theta[4], omega[4]);
