
   theta1 = M_DEG2RAD(theta1);
   theta2 = M_DEG2RAD(theta2);
   omega2 = M_DEG2RAD(omega2);
   alpha2 = M_DEG2RAD(alpha2);
   
   r[1] = r1;  r[2] = r2;
   r[3] = r3;  r[4] = r4;
   r[5] = r5;   r[6] = r6;

   beta3 = M_DEG2RAD(beta3);
   beta4 = M_DEG2RAD(beta4);
   beta5 = M_DEG2RAD(beta5);
   beta6 = M_DEG2RAD(beta6);

   for(i = 1; i <= 4; i++)
   {
      theta[i][1] = theta1;
      theta[i][2] = theta2;
      omega[i][2] = omega2;
   }

   wattI.setLinks(r, theta1, rP3, beta3, rPP4, beta4); 
   wattI.setCouplerPoint(COUPLER_LINK5, rP5, beta5); 
   wattI.setCouplerPoint(COUPLER_LINK6, rPP6, beta6);
   wattI.angularPos(theta[1], theta[2], theta[3], theta[4]);
   wattI.angularVel(theta[1], omega[1]);
   wattI.angularVel(theta[2], omega[2]);
   wattI.angularVel(theta[3], omega[3]);
   wattI.angularVel(theta[4], omega[4]);
   wattI.angularAccel(theta[1], omega[1], alpha[1]);
   wattI.angularAccel(theta[2], omega[2], alpha[2]);
   wattI.angularAccel(theta[3], omega[3], alpha[3]);
   wattI.angularAccel(theta[4], omega[4], alpha[4]);
   Ap1[1] = wattI.couplerPointAccel(COUPLER_LINK5, theta[1], omega[1], alpha[1]);
   Ap1[2] = wattI.couplerPointAccel(COUPLER_LINK5, theta[2], omega[2], alpha[2]);
   Ap1[3] = wattI.couplerPointAccel(COUPLER_LINK5, theta[3], omega[3], alpha[3]);
   Ap1[4] = wattI.couplerPointAccel(COUPLER_LINK5, theta[4], omega[4], alpha[4]);
   Ap2[1] = wattI.couplerPointAccel(COUPLER_LINK6, theta[1], omega[1], alpha[1]);
   Ap2[2] = wattI.couplerPointAccel(COUPLER_LINK6, theta[2], omega[2], alpha[2]);
   Ap2[3] = wattI.couplerPointAccel(COUPLER_LINK6, theta[3], omega[3], alpha[3]);
   Ap2[4] = wattI.couplerPointAccel(COUPLER_LINK6, theta[4], omega[4], alpha[4]);

   a5_1[1] = real(Ap1[1]);
   a5_1[2] = imag(Ap1[1]);
   a5_2[1] = real(Ap1[2]);
   a5_2[2] = imag(Ap1[2]);
   a5_3[1] = real(Ap1[3]);
   a5_3[2] = imag(Ap1[3]);
   a5_4[1] = real(Ap1[4]);
   a5_4[2] = imag(Ap1[4]);

   a6_1[1] = real(Ap2[1]);
   a6_1[2] = imag(Ap2[1]);
   a6_2[1] = real(Ap2[2]);
   a6_2[2] = imag(Ap2[2]);
   a6_3[1] = real(Ap2[3]);
   a6_3[2] = imag(Ap2[3]);
   a6_4[1] = real(Ap2[4]);
   a6_4[2] = imag(Ap2[4]);
   
	  
   theta1 = M_RAD2DEG(theta1);
   theta2 = M_RAD2DEG(theta2);
   omega2 = M_RAD2DEG(omega2);
   alpha2 = M_RAD2DEG(alpha2);
   
   beta3 = M_RAD2DEG(beta3);
   beta4 = M_RAD2DEG(beta4);
   beta5 = M_RAD2DEG(beta5);
   beta6 = M_RAD2DEG(beta6);
