
   theta1 = M_DEG2RAD(theta1);
   theta2 = M_DEG2RAD(theta2);
   omega2 = M_DEG2RAD(omega2);

   r[1] = r1;  r[2] = r2;
   r[3] = r3;  r[4] = r4;
   r[5] = r5;   r[6] = r6;

   beta3 = M_DEG2RAD(beta3);
   beta4 = M_DEG2RAD(beta4);
   beta5 = M_DEG2RAD(beta5);
   beta6 = M_DEG2RAD(beta6);
   
   for(i = 1; i <= 4; i++)
   {
      theta[i][1] = theta1;
      theta[i][2] = theta2;
      omega[i][2] = omega2;
   }

   wattI.setLinks(r, theta1, rP3, beta3, rPP4, beta4); 
   wattI.setCouplerPoint(COUPLER_LINK5, rP5, beta5); 
   wattI.setCouplerPoint(COUPLER_LINK6, rPP6, beta6);
   wattI.angularPos(theta[1], theta[2], theta[3], theta[4]);
   wattI.angularVel(theta[1], omega[1]);
   wattI.angularVel(theta[2], omega[2]);
   wattI.angularVel(theta[3], omega[3]);
   wattI.angularVel(theta[4], omega[4]);
   Vp1[1] = wattI.couplerPointVel(COUPLER_LINK5, theta[1], omega[1]); 
   Vp1[2] = wattI.couplerPointVel(COUPLER_LINK5, theta[2], omega[2]); 
   Vp1[3] = wattI.couplerPointVel(COUPLER_LINK5, theta[3], omega[3]); 
   Vp1[4] = wattI.couplerPointVel(COUPLER_LINK5, theta[4], omega[4]); 
   Vp2[1] = wattI.couplerPointVel(COUPLER_LINK6, theta[1], omega[1]); 
   Vp2[2] = wattI.couplerPointVel(COUPLER_LINK6, theta[2], omega[2]); 
   Vp2[3] = wattI.couplerPointVel(COUPLER_LINK6, theta[3], omega[3]); 
   Vp2[4] = wattI.couplerPointVel(COUPLER_LINK6, theta[4], omega[4]); 

   v5_1[1] = real(Vp1[1]);
   v5_1[2] = imag(Vp1[1]);
   v5_2[1] = real(Vp1[2]);
   v5_2[2] = imag(Vp1[2]);
   v5_3[1] = real(Vp1[3]);
   v5_3[2] = imag(Vp1[3]);
   v5_4[1] = real(Vp1[4]);
   v5_4[2] = imag(Vp1[4]);

   v6_1[1] = real(Vp2[1]);
   v6_1[2] = imag(Vp2[1]);
   v6_2[1] = real(Vp2[2]);
   v6_2[2] = imag(Vp2[2]);
   v6_3[1] = real(Vp2[3]);
   v6_3[2] = imag(Vp2[3]);
   v6_4[1] = real(Vp2[4]);
   v6_4[2] = imag(Vp2[4]);
		
   theta1 = M_RAD2DEG(theta1);
   theta2 = M_RAD2DEG(theta2);
   omega2 = M_RAD2DEG(omega2);
   
   beta3 = M_RAD2DEG(beta3);
   beta4 = M_RAD2DEG(beta4);
   beta5 = M_RAD2DEG(beta5);
   beta6 = M_RAD2DEG(beta6);
