

  r[1] = r1;  r[2] = r2;  r[3] = r3;
	r[4] = r4;  r[5] = r5;  r[6] = r6;
   
	for(i = 1; i <= 4; i++)
	{
	   theta[i][1] = M_DEG2RAD(theta1);
	   theta[i][2] = M_DEG2RAD(theta2);
	   omega[i][2] = M_DEG2RAD(omega2);
     alpha[i][2] = M_DEG2RAD(alpha2);	
	}
	 psi = M_DEG2RAD(psi);
 	 
   /* Perform fourbar-slider linkage analysis. */
   fslider.setLinks(r, theta[1][1], psi); 
   fslider.angularPos(theta[1], theta[2], theta[3], theta[4]);
   fslider.angularVel(theta[1], omega[1]);
   fslider.angularVel(theta[2], omega[2]);
   fslider.angularVel(theta[3], omega[3]);
   fslider.angularVel(theta[4], omega[4]);
   fslider.angularAccel(theta[1], omega[1], alpha[1]);
   fslider.angularAccel(theta[2], omega[2], alpha[2]);
   fslider.angularAccel(theta[3], omega[3], alpha[3]);
   fslider.angularAccel(theta[4], omega[4], alpha[4]);
 

   for(i = 1; i <= 6; i++)
   {
     alpha_deg1[i] = M_RAD2DEG(alpha[1][i]);
		 alpha_deg2[i] = M_RAD2DEG(alpha[2][i]);
		 alpha_deg3[i] = M_RAD2DEG(alpha[3][i]);
     alpha_deg4[i] = M_RAD2DEG(alpha[4][i]);
     alpha_rad1[i] = alpha[1][i];
     alpha_rad2[i] = alpha[2][i];
     alpha_rad3[i] = alpha[3][i];
     alpha_rad4[i] = alpha[4][i];
   } 
