


   r[1] = r1;  r[2] = r2;  r[3] = r3;
   r[4] = r4;  r[5] = r5;  r[6] = r6;
   for(i = 1; i <= 4; i++)
   {
      theta[i][1] = M_DEG2RAD(theta1);
      theta[i][2] = M_DEG2RAD(theta2);
      omega[i][2] = M_DEG2RAD(omega2);  
  	  alpha[i][2] = M_DEG2RAD(alpha2);
   }
   psi = M_DEG2RAD(psi);
   beta = M_DEG2RAD(beta);
   
   /* Perform fourbar-slider linkage analysis. */
   fslider.setLinks(r, theta[1][1], psi); 
   fslider.setCouplerPoint(COUPLER_LINK6, rp, beta);
   fslider.angularPos(theta[1], theta[2], theta[3], theta[4]);
   fslider.angularVel(theta[1], omega[1]);
   fslider.angularVel(theta[2], omega[2]);
   fslider.angularVel(theta[3], omega[3]);
   fslider.angularVel(theta[4], omega[4]);
   fslider.angularAccel(theta[1], omega[1], alpha[1]);
   fslider.angularAccel(theta[2], omega[2], alpha[2]);
   fslider.angularAccel(theta[3], omega[3], alpha[3]);
   fslider.angularAccel(theta[4], omega[4], alpha[4]);
   Ap[1] = fslider.couplerPointAccel(COUPLER_LINK6, theta[1], omega[1], alpha[1]);
   Ap[2] = fslider.couplerPointAccel(COUPLER_LINK6, theta[2], omega[2], alpha[2]);
   Ap[3] = fslider.couplerPointAccel(COUPLER_LINK6, theta[3], omega[3], alpha[3]);
   Ap[4] = fslider.couplerPointAccel(COUPLER_LINK6, theta[4], omega[4], alpha[4]);
  
   ax_1=real(Ap[1]);
   ay_1=imag(Ap[1]);
   ax_2=real(Ap[2]);
   ay_2=imag(Ap[2]);
   ax_3=real(Ap[3]);
   ay_3=imag(Ap[3]);
   ax_4=real(Ap[4]);
   ay_4=imag(Ap[4]);

