


   r[1] = r1;  r[2] = r2;  r[3] = r3;
   r[4] = r4;  r[5] = r5;  r[6] = r6;
   
   for(i = 1; i <= 4; i++)
   {
      theta[i][1] = M_DEG2RAD(theta1);
      theta[i][2] = M_DEG2RAD(theta2);
      omega[i][2] = M_DEG2RAD(omega2);		 
   }
   psi = M_DEG2RAD(psi);
   beta = M_DEG2RAD(beta);
   
   /* Perform fourbar-slider linkage analysis. */
   fslider.setLinks(r, theta[1][1], psi); 
   fslider.setCouplerPoint(COUPLER_LINK6, rp, beta);
   fslider.angularPos(theta[1], theta[2], theta[3], theta[4]);
   fslider.angularVel(theta[1], omega[1]);
   fslider.angularVel(theta[2], omega[2]);
   fslider.angularVel(theta[3], omega[3]);
   fslider.angularVel(theta[4], omega[4]);
   Vp[1] = fslider.couplerPointVel(COUPLER_LINK6, theta[1], omega[1]);
   Vp[2] = fslider.couplerPointVel(COUPLER_LINK6, theta[2], omega[2]);
   Vp[3] = fslider.couplerPointVel(COUPLER_LINK6, theta[3], omega[3]);
   Vp[4] = fslider.couplerPointVel(COUPLER_LINK6, theta[4], omega[4]);
  
   vx_1=real(Vp[1]);	
   vy_1=imag(Vp[1]);
   vx_2=real(Vp[2]);	
   vy_2=imag(Vp[2]);
   vx_3=real(Vp[3]);	
   vy_3=imag(Vp[3]);
   vx_4=real(Vp[4]);	
   vy_4=imag(Vp[4]);

