 
   phi = phi*M_PI/180; 
   theta_1[1] = theta1*(M_PI/180); 
   theta_2[1] = theta1*(M_PI/180);
   theta_1[2] = theta2*(M_PI/180);  
   theta_2[2] = theta2*(M_PI/180); 
   omega_1[2] = omega2*(M_PI/180); 
   omega_2[2] = omega2*(M_PI/180);
   theta_1[5] = lambda*theta_1[2] + phi;  
   theta_2[5] = lambda*theta_2[2] + phi;  
   if(theta_1[5] < -M_PI) 
   {
      theta_1[5] += 2*M_PI; 
      theta_2[5] += 2*M_PI; 
   }
   if(theta_1[5] > M_PI)  
   {
      theta_1[5] -= 2*M_PI; 
      theta_2[5] -= 2*M_PI; 
   }
   
   /* Perform geared fivebar linkage analysis. */
   gearedbar.setLinks(r1, r2, r3, r4, r5, theta_1[1]);
   gearedbar.setLambda(lambda);
   gearedbar.setPhi(phi);
   gearedbar.angularPos(theta_1, theta_2);
   gearedbar.angularVel(theta_1, omega_1); 
   gearedbar.angularVel(theta_2, omega_2); 
   gearedbar.angularAccel(theta_1, omega_1, alpha_1);
   gearedbar.angularAccel(theta_2, omega_2, alpha_2);
  
   for(i=1;i<=5;i++)
   {
		alpha_1_deg[i]=alpha_1[i]*(180/M_PI);	   
		alpha_2_deg[i]=alpha_2[i]*(180/M_PI);	
   }	
 
