
   /* Setup geared fivebar linkage. */
   phi = phi*M_PI/180;    
   theta_1[1] = theta1*(M_PI/180);  
   theta_2[1] = theta1*(M_PI/180);
   theta_1[2] = theta2*(M_PI/180);  
   theta_2[2] = theta2*(M_PI/180); 
   theta_1[5] = lambda*theta_1[2] + phi;  
   theta_2[5] = lambda*theta_2[2] + phi;  
   if(theta_1[5] < -M_PI) 
   {
      theta_1[5] += 2*M_PI; 
      theta_2[5] += 2*M_PI; 
   }
   if(theta_1[5] > M_PI)  
   {
      theta_1[5] -= 2*M_PI; 
      theta_2[5] -= 2*M_PI; 
   }
   
   /* Perform geared fivebar linkage analysis. */
   gearedbar.setLinks(r1, r2, r3, r4, r5, theta_1[1]);
   gearedbar.setLambda(lambda);
   gearedbar.setPhi(phi);
   gearedbar.angularPos(theta_1, theta_2);
  
   /* May run into problem with theta4 being in opposite quadrant. */ 
   theta_1[4] += M_PI;  theta_2[4] += M_PI;  
   if(theta_1[4] < -M_PI) 
      theta_1[4] += 2*M_PI;
   if(theta_1[4] > M_PI)  
      theta_1[4] -= 2*M_PI;
   if(theta_2[4] < -M_PI) 
      theta_2[4] += 2*M_PI;
   if(theta_2[4] > M_PI)  
      theta_2[4] -= 2*M_PI;
 
   /* print results on screen */ 
   for(i=1;i<=5;i++)
   {
      theta_1_deg[i]= theta_1[i]*(180/M_PI); 
      theta_2_deg[i]=theta_2[i]*(180/M_PI); 
   } 
