

    r[1] = r1;  r[2] = r2;  r[3] = r3;
    r[4] = r4;  r[5] = r5;  r[6] = r6;

    theta1 = M_DEG2RAD(theta1);
    theta2 = M_DEG2RAD(theta2);
    betaP2 = M_DEG2RAD(betaP2);
    betaP4 = M_DEG2RAD(betaP4);
    delta = M_DEG2RAD(delta);
    omega2 = M_DEG2RAD(omega2);
    alpha2 = M_DEG2RAD(alpha2);		

    theta_1[1] = theta1;  theta_1[2] = theta2;
    theta_2[1] = theta1;  theta_2[2] = theta2;
    theta_3[1] = theta1;  theta_3[2] = theta2;
    theta_4[1] = theta1;  theta_4[2] = theta2;
    omega_1[2] = omega2;  alpha_1[2] = alpha2; 
    omega_2[2] = omega2;  alpha_2[2] = alpha2; 
    omega_3[2] = omega2;  alpha_3[2] = alpha2; 
    omega_4[2] = omega2;  alpha_4[2] = alpha2; 
 
   /* Perform analysis. */
   stevbar.setLinks(r, rp2, rp4, betaP2, betaP4, theta1);
   stevbar.angularPos(theta_1, theta_2, theta_3, theta_4);
   stevbar.angularVel(theta_1, omega_1);
   stevbar.angularVel(theta_2, omega_2);
   stevbar.angularVel(theta_3, omega_3);
   stevbar.angularVel(theta_4, omega_4);
   stevbar.angularAccel(theta_1, omega_1, alpha_1); 
   stevbar.angularAccel(theta_2, omega_2, alpha_2); 
   stevbar.angularAccel(theta_3, omega_3, alpha_3); 
   stevbar.angularAccel(theta_4, omega_4, alpha_4); 
 
   for(i=1;i<=6;i++)
   {
     alpha_deg1[i] = M_RAD2DEG(alpha_1[i]);
     alpha_deg2[i] = M_RAD2DEG(alpha_2[i]);
     alpha_deg3[i] = M_RAD2DEG(alpha_3[i]);
     alpha_deg4[i] = M_RAD2DEG(alpha_4[i]);
   }

    theta1 = M_RAD2DEG(theta1);
    theta2 = M_RAD2DEG(theta2);
    betaP2 = M_RAD2DEG(betaP2);
    betaP4 = M_RAD2DEG(betaP4);
    delta = M_RAD2DEG(delta);
    omega2 = M_RAD2DEG(omega2);	
    alpha2 = M_RAD2DEG(alpha2);	
		   
